/**
* Copyright (C) 2002 Alex Gitelman
*
*/
#include "unicode.h"

unsigned char from_unicode(const unsigned char *uni_char)
{
    /**
    Here we should get proper code page conversions. For now hack for Cyrrilic->Unicode
    */
    if (uni_char[0]!=0)
    {
        return uni_char[1]+0xb0;
    }
    return uni_char[1];
}

void to_unicode(unsigned char c, unsigned char *uni_char)
{
    /**
    That is simple hack untill support for unicode is more widespread
    */
    uni_char[0] = 0;
    uni_char[1] = c;
}
